이 콘텐츠는 선택한 언어로 제공되지 않습니다.
Chapter 14. Deployment
The deployment API resource contains information about each application deployment.
The following table describes each parameter associated with an application deployment.
Expand
| Name | Description |
|---|---|
id | Application deployment ID |
created_at | Creation time of application |
hot_deploy | Indicates whether the hot deployment was enabled for this deployment |
force_clean_build | Indicates whether a clean build was performed for this deployment |
ref | Git reference such as tag, branch, or commit ID |
artifact_url | A binary deployment artifact |
activations | An array of activations |
14.1. List Application Deployments 링크 복사링크가 클립보드에 복사되었습니다!
링크 복사링크가 클립보드에 복사되었습니다!
Description
Get a list of deployments for the specified application.
Method and URL Structure
| Method | Resource URL |
|---|---|
GET | /broker/rest/application/:id/deployments |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/application/5255b678b78bba421d000008/deployments --user user@example.com:password
JSON Response
The API returns a list of deployments for the specified application. See Chapter 14, Deployment for more information on all application deployment parameters.
{
"api_version": 1.6,
"data": [
{
"activations": [
"2013-10-09T20:07:35Z"
],
"created_at": "2013-10-09T20:07:23Z",
"force_clean_build": false,
"hot_deploy": false,
"id": "4e2d9a82",
"ref": "master",
"sha1": "86a5e8d"
}
],
"messages": [
{
"exit_code": 0,
"field": null,
"index": null,
"severity": "info",
"text": "Listing deployments for application myapp under domain mydomain"
}
],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "deployments",
"version": "1.6"
}